View Issue Details

IDProjectCategoryView StatusLast Update
0003212PartDesignBugpublic2017-10-19 11:37
Reportertripstar76Assigned Towmayer 
PrioritynormalSeveritycrashReproducibilityhave not tried
Status closedResolutionfixed 
PlatformlinuxOSlinux mintOS Version18.1 serena
Product Version0.17 
Target Version0.17Fixed in Version0.17 
Summary0003212: Crash after choosing create edge link tool
DescriptionIn the model attached, I used edge link quite a lot. As I worked through it, the edge link tool would progressively get slower and slower until it just crash/hung. The only way to exit freecad was to terminate the program.
I have tried to delete step in the tree, and I've even removed all the edge links in the previous steps, but when I try to use edge link, it still just hangs.
Additional InformationOS: Linux Mint 18.1 Serena
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.12323 (Git)
Build type: None
Branch: master
Hash: 30379bc1ce309fcc1e0f780378babfd4104bee4c
Python version: 2.7.12
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.1.0
Locale: English/UnitedKingdom (en_GB)
TagsNo tags attached.

Activities

tripstar76

2017-10-08 08:09

reporter  

extest2.fcstd (862,946 bytes)

tripstar76

2017-10-08 08:18

reporter   ~0010263

added log

FreeCAD.log (11,389 bytes)
Msg: FreeCAD 0.17, Libs: 0.17R12323 (Git)
© Juergen Riegel, Werner Mayer, Yorik van Havre 2001-2017
  #####                 ####  ###   ####  
  #                    #      # #   #   # 
  #     ##  #### ####  #     #   #  #   # 
  ####  # # #  # #  #  #     #####  #   # 
  #     #   #### ####  #    #     # #   # 
  #     #   #    #     #    #     # #   #  ##  ##  ##
  #     #   #### ####   ### #     # ####   ##  ##  ##

Log: Time = Sun Oct  8 09:02:36 2017
Log: AppDataSkipVendor = true
Log: AppHomePath = /usr/lib/freecad-daily/
Log: AppIcon = freecad
Log: AppTempPath = /tmp/
Log: BinPath = /usr/lib/freecad-daily/bin/
Log: BuildRepositoryURL = git://github.com/FreeCAD/FreeCAD.git master
Log: BuildRevision = 12323 (Git)
Log: BuildRevisionBranch = master
Log: BuildRevisionDate = 2017/10/05 13:20:39
Log: BuildRevisionHash = 30379bc1ce309fcc1e0f780378babfd4104bee4c
Log: BuildVersionMajor = 0
Log: BuildVersionMinor = 17
Log: CopyrightInfo = © Juergen Riegel, Werner Mayer, Yorik van Havre 2001-2017
  #####                 ####  ###   ####  
  #                    #      # #   #   # 
  #     ##  #### ####  #     #   #  #   # 
  ####  # # #  # #  #  #     #####  #   # 
  #     #   #### ####  #    #     # #   # 
  #     #   #    #     #    #     # #   #  ##  ##  ##
  #     #   #### ####   ### #     # ####   ##  ##  ##


Log: Debug = 0
Log: DocPath = /usr/lib/freecad-daily/doc/
Log: ExeName = FreeCAD
Log: ExeVendor = FreeCAD
Log: ExeVersion = 0.17
Log: LoggingFile = 1
Log: LoggingFileName = /home/john/.FreeCAD/FreeCAD.log
Log: MaintainerUrl = http://www.freecadweb.org/wiki/Main_Page
Log: PATH = /home/john/bin:/home/john/.local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/snap/bin
Log: PYTHONPATH = 
Log: PythonSearchPath = :/usr/bin/../lib/python2.7/:/usr/bin/../lib/python2.7/plat-x86_64-linux-gnu:/usr/bin/../lib/python2.7/lib-tk:/usr/bin/../lib/python2.7/lib-old:/usr/bin/../lib/python2.7/lib-dynload
Log: RunMode = Gui
Log: SingleInstance = 1
Log: SplashAlignment = Bottom|Left
Log: SplashInfoColor = #c8c8c8
Log: SplashScreen = freecadsplash
Log: SplashTextColor = #ffffff
Log: StartWorkbench = StartWorkbench
Log: SystemParameter = /home/john/.FreeCAD/system.cfg
Log: UserAppData = /home/john/.FreeCAD/
Log: UserHomePath = /home/john
Log: UserParameter = /home/john/.FreeCAD/user.cfg
Log: Verbose = 
Log: Create Application
Log: Run App init script
Log: Init: starting App::FreeCADInit.py
Log: Init:   Searching for modules...
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/Sketcher... done
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/ReverseEngineering... done
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/Show(Init.py not found)... ignore
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/Image... done
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/Surface... done
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/PartDesign... done
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/Measure... done
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/Ship(Init.py not found)... ignore
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/Plot(Init.py not found)... ignore
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/MeshPart... done
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/OpenSCAD... done
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/Fem... done
Log: Init:      Initializing /home/john/.FreeCAD/Mod/workfeature(Init.py not found)... ignore
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/Spreadsheet... done
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/Start... done
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/AddonManager... done
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/Draft... done
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/Test... done
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/Import... done
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/TechDraw... done
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/Tux(Init.py not found)... ignore
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/Complete... done
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/Web... done
Log: Init:      Initializing /home/john/.FreeCAD/Mod/FCGear(Init.py not found)... ignore
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/Material... done
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/Mesh... done
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/Raytracing... done
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/Part... done
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/Path... done
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/Arch... done
Log: Init:      Initializing /home/john/.FreeCAD/Mod/assembly2(Init.py not found)... ignore
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/Robot... done
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/Points... done
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/Idf... done
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/Inspection... done
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/Drawing... done
Log: Using /usr/lib/freecad-daily/Mod as module path!
Log: System path after init:
Log:    /usr/lib/freecad-daily/bin
Log:    /usr/lib/freecad-daily/Mod/Sketcher
Log:    /usr/lib/freecad-daily/Mod/ReverseEngineering
Log:    /usr/lib/freecad-daily/Mod/Show
Log:    /usr/lib/freecad-daily/Mod/Image
Log:    /usr/lib/freecad-daily/Mod/Surface
Log:    /usr/lib/freecad-daily/Mod/PartDesign
Log:    /usr/lib/freecad-daily/Mod/Measure
Log:    /usr/lib/freecad-daily/Mod/Ship
Log:    /usr/lib/freecad-daily/Mod/Plot
Log:    /usr/lib/freecad-daily/Mod/MeshPart
Log:    /usr/lib/freecad-daily/Mod/OpenSCAD
Log:    /usr/lib/freecad-daily/Mod/Fem
Log:    /home/john/.FreeCAD/Mod/workfeature
Log:    /usr/lib/freecad-daily/Mod/Spreadsheet
Log:    /usr/lib/freecad-daily/Mod/Start
Log:    /usr/lib/freecad-daily/Mod/AddonManager
Log:    /usr/lib/freecad-daily/Mod/Draft
Log:    /usr/lib/freecad-daily/Mod/Test
Log:    /usr/lib/freecad-daily/Mod/Import
Log:    /usr/lib/freecad-daily/Mod/TechDraw
Log:    /usr/lib/freecad-daily/Mod/Tux
Log:    /usr/lib/freecad-daily/Mod/Complete
Log:    /usr/lib/freecad-daily/Mod/Web
Log:    /home/john/.FreeCAD/Mod/FCGear
Log:    /usr/lib/freecad-daily/Mod/Material
Log:    /usr/lib/freecad-daily/Mod/Mesh
Log:    /usr/lib/freecad-daily/Mod/Raytracing
Log:    /usr/lib/freecad-daily/Mod/Part
Log:    /usr/lib/freecad-daily/Mod/Path
Log:    /usr/lib/freecad-daily/Mod/Arch
Log:    /home/john/.FreeCAD/Mod/assembly2
Log:    /usr/lib/freecad-daily/Mod/Robot
Log:    /usr/lib/freecad-daily/Mod/Points
Log:    /usr/lib/freecad-daily/Mod/Idf
Log:    /usr/lib/freecad-daily/Mod/Inspection
Log:    /usr/lib/freecad-daily/Mod/Drawing
Log:    /home/john/bin
Log:    /home/john/.local/bin
Log:    /usr/local/sbin
Log:    /usr/local/bin
Log:    /usr/sbin
Log:    /usr/bin
Log:    /sbin
Log:    /bin
Log:    /usr/games
Log:    /usr/local/games
Log:    /snap/bin
Log: Init: App::FreeCADInit.py done
Log: Init: Creating Gui::Application and QApplication
Log: Local server 'FreeCAD' started
Log: OpenGL version 3.0 or higher is present
Log: Run Gui init script
Log: Init: Running FreeCADGuiInit.py start script...
Log: Init:   Searching modules...
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/Sketcher... done
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/ReverseEngineering... done
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/Show(InitGui.py not found)... ignore
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/Image... done
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/Surface... done
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/PartDesign... done
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/Measure(InitGui.py not found)... ignore
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/Ship... done
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/Plot... done
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/MeshPart... done
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/OpenSCAD... done
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/Fem... done
Log: Init:      Initializing /home/john/.FreeCAD/Mod/workfeature(InitGui.py not found)... ignore
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/Spreadsheet... done
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/Start... done
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/AddonManager... done
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/Draft... done
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/Test... done
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/Import... done
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/TechDraw... done
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/Tux... done
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/Complete... done
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/Web... done
Log: Module: Part
Log: Loading Part module... done
Log: Init:      Initializing /home/john/.FreeCAD/Mod/FCGear... done
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/Material... done
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/Mesh... done
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/Raytracing... done
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/Part... done
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/Path... done
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/Arch... done
Log: Init:      Initializing /home/john/.FreeCAD/Mod/assembly2... done
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/Robot... done
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/Points... done
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/Idf(InitGui.py not found)... ignore
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/Inspection... done
Log: Init:      Initializing /usr/lib/freecad-daily/Mod/Drawing... done
Log: Init: Loading FreeCAD GUI
Log: Init: Running FreeCADGuiInit.py start script... done
Log: Init: Activating default workbench StartWorkbench
Log: Loading Sketcher module... done
Log: Loading GUI of Part module... done
Log: Loading GUI of Sketcher module... done
Log: Loading GUI of PartDesign module... done
Log: Loading PartDesign module... done
Log: Init: Showing main window
Log: Main window restored
Log: Show main window
Log: Toolbars restored
Log: Couldn't connect to spacenav daemon
Log: Init: Entering event loop
Log: Init: Processing command line files
Log: Hide main window
Log: Received message: OpenFile:/media/john/HDD/3D_print_Stuff/sketchup/3DPrinters/VORON/test pieces/extest.fcstd
Log: Init: Processing command line files
Log: Init:     Processing file: /media/john/HDD/3D_print_Stuff/sketchup/3DPrinters/VORON/test pieces/extest.fcstd
Log: Show main window
Log: X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 31 (X_GrabKeyboard)
  Resource id:  0x0
Log: File was not written with this version of the topology
Log: X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 31 (X_GrabKeyboard)
  Resource id:  0x0
Log: Sketcher::setUpSketch()-T:0
Log: Sketcher::Solve()-DogLeg-T:0
Log: Sketcher::setUpSketch()-T:0
Log: Sketcher::Solve()-DogLeg-T:0
FreeCAD.log (11,389 bytes)

tripstar76

2017-10-08 18:25

reporter   ~0010266

Last edited: 2017-10-08 18:26

View 2 revisions

Backlink to forum post

Kunda1

2017-10-09 14:13

administrator   ~0010268

Last edited: 2017-10-09 14:14

View 2 revisions

@chrisb points out that this issue is related to what is discussed in https://forum.freecadweb.org/viewtopic.php?f=3&t=24504
and
https://forum.freecadweb.org/viewtopic.php?f=10&t=20749&start=60

wmayer

2017-10-09 15:12

administrator   ~0010272

Other forum thread https://forum.freecadweb.org/viewtopic.php?f=3&t=24504

Kunda1

2017-10-10 01:34

administrator   ~0010276

wmayer seems to have committed a fix in https://github.com/FreeCAD/FreeCAD/commit/04ac31c
@tripstar76 care to verify fix ?

tripstar76

2017-10-10 06:38

reporter   ~0010279

I'll certainly give it a go!

wmayer

2017-10-10 10:32

administrator   ~0010280

https://github.com/FreeCAD/FreeCAD/commit/04ac31cba061b1e0828245391a3d93496af8df70

Issue History

Date Modified Username Field Change
2017-10-08 08:09 tripstar76 New Issue
2017-10-08 08:09 tripstar76 File Added: extest2.fcstd
2017-10-08 08:18 tripstar76 File Added: FreeCAD.log
2017-10-08 08:18 tripstar76 Note Added: 0010263
2017-10-08 18:25 tripstar76 Note Added: 0010266
2017-10-08 18:26 tripstar76 Note Edited: 0010266 View Revisions
2017-10-09 14:13 Kunda1 Note Added: 0010268
2017-10-09 14:14 Kunda1 Note Edited: 0010268 View Revisions
2017-10-09 15:12 wmayer Target Version => 0.17
2017-10-09 15:12 wmayer Note Added: 0010272
2017-10-10 01:34 Kunda1 Note Added: 0010276
2017-10-10 01:35 Kunda1 Tag Attached: #tobeclosed
2017-10-10 06:38 tripstar76 Note Added: 0010279
2017-10-10 10:32 wmayer Assigned To => wmayer
2017-10-10 10:32 wmayer Status new => closed
2017-10-10 10:32 wmayer Resolution open => fixed
2017-10-10 10:32 wmayer Fixed in Version => 0.17
2017-10-10 10:32 wmayer Note Added: 0010280
2017-10-19 11:37 Kunda1 Tag Detached: #tobeclosed